#header{display:none;}
       .menu{display:block;position:relative}
.menu,
.menu ul{margin:0;padding:0;list-style:none;position:relative; background-color:#ffffff;border: 1px solid #E1E1E1; border-radius: 5px;}
.menu ul a{float:left}
.menu ul ul a{float:none;}
.menu
.mega-menu a{float:none;padding:3px;}
.menu ul ul,
.menu
.mega-menu,
.menu
.mega-menu ol li{opacity:0;visibility:hidden;display:none ! important/9;-webkit-transition:opacity 150ms ease-in-out;-moz-transition:opacity 150ms ease-in-out;-o-transition:opacity 150ms ease-in-out;-ms-transition:opacity 150ms ease-in-out;transition:opacity 150ms ease-in-out}
.menu li:hover>ul,
.menu li:hover>
.mega-menu,
.menu li:hover>
.mega-menu ol li{opacity:1;visibility:visible;display:block ! important/9}
.menu ul:after{content:"";clear:both;display:block}
.menu ul li{float:left;-webkit-transition:all 150ms ease-in-out;-moz-transition:all 150ms ease-in-out;-o-transition:all 150ms ease-in-out;-ms-transition:all 150ms ease-in-out;transition:all 150ms ease-in-out}
.menu ul li a{display:block;padding:14px 20px 15px 20px;color:#fff;text-decoration:none; border-right: 1px solid rgba(f, f, f, 0.9);
box-shadow: 1px 0 0 rgba(255, 255, 255, 0.1);}
.menu .arrow:after{content:"";float:right;text-align:right;width:0;height:0;display:block;border-left:3px solid rgba(0,0,0,0);border-right:3px solid rgba(0,0,0,0);border-top:3px solid #fff;top:9px;margin:0 0 0 5px;position:relative;border-left:3px solid transparent/9;border-right:3px solid transparent/9}
.menu ul li ul li .arrow:after{border-top:3px solid transparent;border-bottom:3px solid transparent;border-left:3px solid #bbb;margin:-2px 0 0 5px}
.menu i{font-size:14px;font-style:normal;float:left;margin:4px 4px 0 -2px;line-height:14px;padding:0}
.menu .right{float:right;}
.menu .right ul,
.menu .right
.mega-menu{right:0}
.menu ul ul{background:#fff;border:1px solid #e0e0e0;border-top:0;border-bottom:0;position:absolute;top:100%;width:170px;-webkit-box-shadow:0 1px 1px rgba(0,0,0,.04);box-shadow:0 1px 1px rgba(0,0,0,.04)}
.menu ul ul ul{position:absolute;left:100%;border-top:1px solid #e0e0e0;top:-1px}
.menu ul ul li a{padding:8px 12px;color:#777;border-bottom:1px solid #e4e4e4; background:#FFFFFF;}
.menu ul ul li{float:none;position:relative;-webkit-transition:none;-moz-transition:none;-o-transition:none;-ms-transition:none;transition:none}
.menu ul ul li a:active,
.menu ul ul li:hover{background:#f5f5f5}
.menu ul ul li{background:#fff}
.mega-menu{position:absolute;top:100%;padding:18px 11px;background-color:#fff;border:1px solid #e0e0e0;border-top:none;color:#777;-webkit-box-shadow:0 1px 1px rgba(0,0,0,.04);box-shadow:0 1px 1px rgba(0,0,0,.04);-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}
.mega-menu ol{list-style:none;padding:0}
.mega-menu ol li{width:100%}
.mega-menu ol li:hover,
.mega-menu ol li a{color:#777;font-size:14px;padding:0;background-color:#fff;background-image:none;}
.mega-menu ol li a:hover{color:#505050; background-color:#edf1f8; padding-left:8px;}
.mega-menu div h4{font-size:16px;color:#404040;border-bottom:1px solid #e4e4e4;padding:0 0 8px 0;margin:0 0 10px 0; font-weight:normal}
.mega-menu div h4 a{color:#000;}
.mega-menu .col-1{width:135px}
.mega-menu .col-2{width:288px}
.mega-menu .col-3{width:441px}
.mega-menu .col-4{width:594px}
.mega-menu .col-5{width:747px}
.mega-menu .col-6{width:900px}
.mega-menu .col-1,
.mega-menu .col-2,
.mega-menu .col-3,
.mega-menu .col-4,
.mega-menu .col-5,
.mega-menu .col-6{float:left;margin:0 9px}
.mega-menu.full-width{left:0;width:100%;padding:18px 0}.full-width .col-1{width:14.1%}.full-width .col-2{width:30.4%}.full-width .col-3{width:46.7%}.full-width .col-4{width:63%}.full-width .col-5{width:79.3%}.full-width .col-6{width:95.6%}.full-width .col-1,.full-width .col-2,.full-width .col-3,.full-width .col-4,.full-width .col-5,.full-width .col-6{float:left;margin:0 0 0 2.2%}@media only screen and (max-width: 767px){
.menu ul li{width:100%;cursor:pointer}
.menu ul li{position:relative}
.menu
.mega-menu ol li{height:0}
.menu li:hover>
.mega-menu ol li{height:auto}
.mega-menu,
.menu ul ul{z-index:100}
.menu ul ul{width:100%;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}
.menu ul ul ul{left:0}
.menu ul ul li:hover>ul{position:relative;border:none;border-top:1px solid #e4e4e4;-webkit-box-shadow:none;box-shadow:none}
.menu ul li ul li .arrow:after{border-left:3px solid transparent;border-right:3px solid transparent;border-top:3px solid #bbb;margin:0}
.mega-menu{padding:18px 0}
.mega-menu ol li:last-child{margin:0 0 20px 0}
.menu .col-1,.full-width .col-1,
.menu .col-2,.full-width .col-2,
.menu .col-3,.full-width .col-3,
.menu .col-4,.full-width .col-4,
.menu .col-5,.full-width .col-5,
.menu .col-6,.full-width .col-6{float:left;margin:0 0 0 5%;width:90%}}
.style-1
.menu, .style-1
.menu ul li  { background-color: black; background-image: linear-gradient(bottom, rgba(0,0,0, 0) 50%, rgba(255,255,255, 0.04) 0%); background-image: -o-linear-gradient(bottom, rgba(0,0,0, 0) 50%, rgba(255,255,255, 0.04) 0%); background-image: -moz-linear-gradient(bottom, rgba(0,0,0, 0) 50%, rgba(255,255,255, 0.04) 0%); background-image: -webkit-linear-gradient(bottom, rgba(0,0,0, 0) 50%, rgba(255,255,255, 0.04) 0%); background-image: -ms-linear-gradient(bottom, rgba(0,0,0, 0) 50%, rgba(255,255,255, 0.04) 0%); } .style-1
.menu ul li:hover { background-color: #eb4e01; background-image: linear-gradient(bottom, rgba(0,0,0, 0) 50%, rgba(255,255,255, 0.08) 0%); background-image: -o-linear-gradient(bottom, rgba(0,0,0, 0) 50%, rgba(255,255,255, 0.08) 0%); background-image: -moz-linear-gradient(bottom, rgba(0,0,0, 0) 50%, rgba(255,255,255, 0.08) 0%); background-image: -webkit-linear-gradient(bottom, rgba(0,0,0, 0) 50%, rgba(255,255,255, 0.08) 0%); background-image: -ms-linear-gradient(bottom, rgba(0,0,0, 0) 50%, rgba(255,255,255, 0.08) 0%); }

a.rss:hover{ background:#ffaa31; color:#fff; padding-left:20px;}
a.twitter:hover{background:#07beed; color:#fff; padding-left:20px;}
a.facebook:hover{background:#314d91; color:#fff; padding-left:20px;}
a.googleplus:hover{background:#2d2d2d; color:#fff; padding-left:20px;}
a.pinterest:hover{background:#cd1d1f; color:#fff; padding-left:20px;}
a.stumbleupon:hover{background:#ec4b24; color:#fff; padding-left:20px;}




/*公告栏时钟*/
#clockdiv {
text-align: left;
}




/*推荐和反对*/
#div_digg{
  position:fixed;
  bottom:5px;
  width:140px;
  right:30px;
  border:2px solid #085;
  padding:10px;
  background-color:#fff;
  opacity:0.3;
  border-radius:5px 5px 5px 5px !important;
  box-shadow:0 0 0 1px #5F5A4B, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
  transition-duration: 0.5s;
}
#div_digg:hover{
  opacity:1;
}








/* 定制生成博客目录的CSS样式 */
#uprightsideBar{
    font-size:16px;
    font-family:Arial, Helvetica, sans-serif;
    text-align:left;
    position:fixed;
    /*
    将div的位置固定到距离top:150px，right:0px的位置，
    这样div就会处在最右边的位置，距离顶部150px，
    当然这两个值你可以自己改。
    */
    top:150px;
    right:0px;
    width: auto;
    height: auto; 
}
#sideBarTab{
    float:left;
    width:25px; 
    box-shadow: 0 0 8px #877788;
    border:1px solid #00DDC00;
    border-right:none;
    text-align:center;
    background:rgb(0, 220, 0);
}
#sideBarContents{
    float:left;
    overflow:auto; 
    overflow-x:hidden;!important;
    width:200px;
    min-height:101px;
    max-height:460px;
    border:1px solid #e5e5e5;
    border-right:none; 
    background:#ffffff;
}
#sideBarContents dl{
    margin:0;
    padding:0;
}
#sideBarContents dt{
    margin-top:5px;
    margin-left:5px;
}
#sideBarContents dd, dt {
    cursor: pointer;
}
#sideBarContents dd:hover, dt:hover {
    color:#A7995A;
}
#sideBarContents dd{
    margin-left:20px;
}


/*扩大缩小功能*/
#divExpandViewArea{
    position: fixed;
    color: white;
   
    padding: 10px 10px;
    left: 0px;
    top: 547px;
    cursor: pointer;
    opacity: 0.9;
    background-color: #68228B;
}
 
#divCollapseViewArea{
    position: fixed;
    color: white;
    
    padding: 10px 10px;
    left: 0px;
    top: 586px;
    cursor: pointer;
    opacity: 0.9;
    background-color: #68228B;
}

/*自定义背景图片*/
body { 
     background-color: #efefef;
    background-image:url(https://www.cnblogs.com/images/cnblogs_com/guozepingboke/1455783/o_code-wallpaper-16.jpg); 
     background-repeat: no-repeat; 
     background-attachment: fixed; 
     background-position: center 0; 
     background-size: cover; 
    padding-top:0px;
  }


/* 定制公告栏音乐插件的样式 */
.aplayer {
    font-family: Arial,Helvetica,sans-serif;  /*音乐插件字体*/
    margin: 0px;  /*音乐插件与公告栏左边的边距，0px就是直接抵到公告栏左边的边上*/
    box-shadow: 0 2px 2px 0 rgba(0,0,0,.14), 0 3px 1px -2px rgba(0,0,0,.2), 0 1px 5px 0 rgba(0,0,0,.12);
    border-radius: 2px;
    overflow: hidden;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    line-height: normal;
}
/*评论*/
    .blog_comment_body {
        background: #B2E866;
        float: left;
        border-radius: 5px;
        position: relative;
        overflow: visible;
        margin-left: 33px;
        max-width: 700px;
    }

    .feedbackListSubtitle a.layer {
        background: #B2E866;
        color: #414141 !important;
        padding: 2px 4px;
        border-radius: 2px;
    }
/*不显示广告*/
#ad_t2,#cnblogs_c1,#under_post_news,#cnblogs_c2,#under_post_kb {
    display:none; !important
}
/*图片设置*/
.post img {
    cursor: pointer;
    transition: all 0.5s;
}
.post img:hover {
    transform: scale(1.3);
}
/*代码字体大小*/
.cnblogs_code pre {
font-family: Courier New!important;
font-size: 18px!important;
word-wrap: break-word;
white-space: pre-wrap;
}

.cnblogs_code span {
font-family: Courier New!important;
font-size: 18px!important;
line-height: 1.5!important;
}